/*
 * Copyright (C) 2003 TAM(Teppei Tamra) <tam-t@par.odn.ne.jp>
 */

#include "config.h"
#include "tavia.h"
#include <qsplashscreen.h>
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kstandarddirs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A cheap Web browser.");

static const char version[] = VERSION;

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("tavia", I18N_NOOP("tavia"), version, description,
                     KAboutData::License_GPL, "(C) 2003 TAM(Teppei Tamra)", 0, 0, "tam-t@par.odn.ne.jp");
    about.addAuthor( "TAM(Teppei Tamra)", I18N_NOOP("design and programing."), "tam-t@par.odn.ne.jp","http://nop.net-p.org/" );
    about.addCredit("kzk(Kazuki Ohta)", I18N_NOOP("RSSView and many bug fixed.(THX!)"),"mover@hct.zaq.ne.jp");
    about.addCredit("UTUMI Hirosi", I18N_NOOP("many bug report and aggressive testing.(THX!)"));
    about.addCredit("Joe Baldwin", I18N_NOOP("Application icon.(THX!)"));
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    tavia *mainWin = 0;
    
    if (app.isRestored())
    {
        RESTORE(tavia);
    }
    else
    {
        QSplashScreen *splash = new QSplashScreen(QPixmap(locate("data","tavia/tavialogo.png")),Qt::WStyle_Splash);
        splash->show();
        splash->message(i18n("starting Tavia..."));


        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here

        mainWin = new tavia();
        app.setMainWidget( mainWin );
        mainWin->show();

        args->clear();
        
        splash->message(i18n("Ready."));
        splash->finish(mainWin);
        delete splash;

    }
    
    int ret = app.exec();

    // λʤ褦˽(patch from "kzk_mover")
    //delete mainWin;
    return ret;
}
