/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "taviaurcobject.h"

TaviaURCObject::TaviaURCObject(QObject *parent, const char *name)
 : QObject(parent, name)
{
    init();
}

TaviaURCObject::TaviaURCObject(TaviaURCManager *m,QObject *parent, const char *name)
 : QObject(parent, name)
{
    init();
    setURCManager(m);
}

void TaviaURCObject::init()
{
    manager = 0L;
    id = "";
    urcName = "URC";
    urcIcon = "connect_creating";
}

TaviaURCObject::~TaviaURCObject()
{
    if (manager) manager->delURC(this);
}


/*!
    \fn TaviaURCObject::receive(const KURL &url,const KParts::URLArgs &args)
 */
void TaviaURCObject::receive(const KURL &url,const KParts::URLArgs &args)
{
    emit openURL(url,args);
}


/*!
    \fn TaviaURCObject::setURCManager(TaviaURCManager *manager)
 */
void TaviaURCObject::setURCManager(TaviaURCManager *manager)
{
    TaviaURCObject::manager = manager;
    manager->addURC(this);
}


/*!
    \fn TaviaURCObject::getManager()
 */
TaviaURCManager * TaviaURCObject::getManager()
{
    return(manager);
}


/*!
    \fn TaviaURCObject::getId()
 */
const QString TaviaURCObject::getId()
{
    return(id);
}


/*!
    \fn TaviaURCObject::getURCName()
 */
const QString TaviaURCObject::getURCName()
{
    return(urcName);
}


/*!
    \fn TaviaURCObject::getURCIcon()
 */
const QString TaviaURCObject::getURCIcon()
{
    return(urcIcon);
}


/*!
    \fn TaviaURCObject::setURCIcon(const QString &icon)
 */
void TaviaURCObject::setURCIcon(const QString &icon)
{
    urcIcon = icon;
}


/*!
    \fn TaviaURCObject::setURCName(const QString &name)
 */
void TaviaURCObject::setURCName(const QString &name)
{
    urcName = name;
}
